# List (/docs/api-reference/process/list)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1095 · updated: 2026-07-30 -->
Related: [CloseStdin](/docs/api-reference/process/closestdin.md), [Connect](/docs/api-reference/process/connect.md), [SendInput](/docs/api-reference/process/sendinput.md), [SendSignal](/docs/api-reference/process/sendsignal.md), [Start](/docs/api-reference/process/start.md), [StreamInput](/docs/api-reference/process/streaminput.md)

# List

`POST /process.Process/List`

List

## OpenAPI

```json
{
  "security": [
    {
      "SandboxAccessTokenAuth": []
    }
  ],
  "parameters": [
    {
      "name": "E2b-Sandbox-Id",
      "in": "header",
      "required": true,
      "description": "Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.",
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "E2b-Sandbox-Port",
      "in": "header",
      "required": true,
      "description": "Port envd listens on inside the sandbox (default 49983).",
      "schema": {
        "type": "integer",
        "default": 49983
      }
    },
    {
      "name": "Connect-Protocol-Version",
      "in": "header",
      "required": true,
      "schema": {
        "type": "number",
        "title": "Connect-Protocol-Version",
        "description": "Define the version of the Connect protocol",
        "const": 1
      }
    },
    {
      "name": "Connect-Timeout-Ms",
      "in": "header",
      "schema": {
        "type": "number",
        "title": "Connect-Timeout-Ms",
        "description": "Define the timeout, in ms"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "title": "ListRequest",
          "additionalProperties": false
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "processes": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "config": {
                      "type": "object",
                      "properties": {
                        "cmd": {
                          "type": "string",
                          "title": "cmd"
                        },
                        "args": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          },
                          "title": "args"
                        },
                        "envs": {
                          "type": "object",
                          "title": "envs",
                          "additionalProperties": {
                            "type": "string",
                            "title": "value"
                          }
                        },
                        "cwd": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "title": "cwd"
                        }
                      },
                      "title": "ProcessConfig",
                      "additionalProperties": false
                    },
                    "pid": {
                      "type": "integer",
                      "title": "pid"
                    },
                    "tag": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "title": "tag"
                    }
                  },
                  "title": "ProcessInfo",
                  "additionalProperties": false
                },
                "title": "processes"
              }
            },
            "title": "ListResponse",
            "additionalProperties": false
          }
        }
      }
    },
    "502": {
      "description": "Sandbox not found",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "sandboxID",
              "message",
              "code"
            ],
            "properties": {
              "message": {
                "type": "string",
                "description": "Error message"
              },
              "code": {
                "type": "integer",
                "description": "Error code"
              },
              "sandboxID": {
                "type": "string",
                "description": "Identifier of the sandbox"
              }
            }
          }
        }
      }
    }
  }
}
```
